/*
SQLyog Ultimate v12.09 (64 bit)
MySQL - 10.4.17-MariaDB : Database - prosoftokt21
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftokt21` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;

USE `prosoftokt21`;

/*Table structure for table `alumni` */

DROP TABLE IF EXISTS `alumni`;

CREATE TABLE `alumni` (
  `AlumniID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Ime` varchar(255) NOT NULL,
  `Prezime` varchar(255) NOT NULL,
  `DatumUpisa` date NOT NULL,
  `DatumDiplomiranja` date NOT NULL,
  `NazivTeme` varchar(255) NOT NULL,
  `Telefon` varchar(255) NOT NULL,
  `Mejl` varchar(255) NOT NULL,
  `Status` varchar(50) NOT NULL,
  `Referent` varchar(50) NOT NULL,
  `MentorID` bigint(20) unsigned NOT NULL,
  `StudijskiProgramID` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`AlumniID`),
  KEY `MentorID` (`MentorID`),
  KEY `StudijskiProgramID` (`StudijskiProgramID`),
  CONSTRAINT `alumni_ibfk_1` FOREIGN KEY (`MentorID`) REFERENCES `profesor` (`ProfesorID`),
  CONSTRAINT `alumni_ibfk_2` FOREIGN KEY (`StudijskiProgramID`) REFERENCES `studijskiprogram` (`StudijskiProgramID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `alumni` */

/*Table structure for table `profesor` */

DROP TABLE IF EXISTS `profesor`;

CREATE TABLE `profesor` (
  `ProfesorID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Ime` varchar(255) NOT NULL,
  `Prezime` varchar(255) NOT NULL,
  `Zvanje` varchar(50) NOT NULL,
  `DatumIzbora` date NOT NULL,
  `Aktivan` tinyint(1) NOT NULL,
  PRIMARY KEY (`ProfesorID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4;

/*Data for the table `profesor` */

insert  into `profesor`(`ProfesorID`,`Ime`,`Prezime`,`Zvanje`,`DatumIzbora`,`Aktivan`) values (1,'Ivana','Ivanovic','Vanredni profesor','2021-09-06',1),(2,'Marko','Markovic','Redovni profesor u penziji','1990-04-11',0),(3,'Dragan','Draganic','Redovni profesor u penziji','1995-03-07',0),(4,'Sava','Savic','Docent','2021-09-07',1),(5,'Jovan','Jovanovic','Docent','2021-09-08',1),(6,'Jelena','Jelenic','Vanredni profesor','2021-09-09',1),(7,'Pavle','Pavlovic','Redovni profesor','2021-09-10',1);

/*Table structure for table `studijskiprogram` */

DROP TABLE IF EXISTS `studijskiprogram`;

CREATE TABLE `studijskiprogram` (
  `StudijskiProgramID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Naziv` varchar(255) NOT NULL,
  `StepenStudija` varchar(20) NOT NULL,
  `ESPB` int(11) NOT NULL,
  `Aktivan` tinyint(1) NOT NULL,
  PRIMARY KEY (`StudijskiProgramID`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4;

/*Data for the table `studijskiprogram` */

insert  into `studijskiprogram`(`StudijskiProgramID`,`Naziv`,`StepenStudija`,`ESPB`,`Aktivan`) values (1,'Kibernetika','OAS',0,0),(2,'Informacioni sistemi','OAS',0,0),(3,'Informacioni sistemi i tehnologije','OAS',240,1),(4,'Menadzment i organizacija','OAS',240,1),(5,'Softversko inzenjerstvo i racunarske nauke','MAS',60,1),(6,'Informacioni sistemi i tehnologije','MAS',60,1),(7,'Elektronsko poslovanje i upravljanje sistemima','MAS',60,1),(8,'Poslovna analitika','MAS',60,1),(9,'Menadzment i organizacija','MAS',60,1),(10,'Informacioni sistemi i kvantitativni menadzment','DAS',180,1);

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
